Subject: Help needed

From: Lifeng Wang <[email-masked]>
Date: Tue, 7 Jun 94 21:03:00 CDT

Hi, there, I am a lad and today I called the Immigration Card Facility to check myGC status. I was told that my GC was mailed to me Nov, 22,1993. Unfortunatly
my card was returned to the Immigration Card Facility by my local postoffice dueto unable to delivery. According to the ICF message, I need to fill out INS G731or INS Ga62 form to get my card back. Does anyone know where to get the
forms and where to file?  Your help is very much appreciated.

A

B

B
B
B
B
B
B
B
B
A
A
A

A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
A
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B
B